Archive for 23 junio 2011

Intentando actualizar a Debian Unstable a 2.6.39 . Kde 4.6 en unstable y nvidia-glx

junio 23, 2011

Hardware

Mac Book Pro 6,2

Problemas al actualizar

Primero de todo no me iban las X. Concretamente con nvidia. He renombrado:

/etc/X11/xorg.conf

para simular su borrado y he reiniciado con:

/etc/init.d/gdm restart

Al contrario que antes sin xorg.conf sí me van las X bien.

Había conseguido con el modulo intel que me fueran las X pero veía el tercio izquierdo de la pantalla a partir del segundo tercio de la pantalla real. Y no había manera en el pasado de hacer funcionar las X con sólo VESA.

Ahora por lo visto estoy con VESA a resolución 1280×1024 y usando la tarjeta nvidia. Con suerte podré hacer funcionar la tarjeta intel.

Para evitar un error extraño en el arranque he desinstalado ndiswrapper con:

apt-get remove ndiswrapper*

y he descomentado los siguientes modulos del

/etc/modules.conf:

wl

snd_hda_intel

nls_base

usbcore

bcm5974

.

Total que por alguna razón el modulo nvidia no se me carga en el kernel. Y si intento instalar nvidia-glx me da un error de paquete roto. Puede que sea por mi mirror local. El no poder usar nvidia me impide usar una segunda pantalla ya que creo que el puerto este especial del MBP 6,2 sale por nvidia. El programa nvidia-settings no me deja configurar nada.

Por otro lado no me va el wireless y a ver sí lo sé arreglar antes de nada.

Arreglo de wireless

Para arreglar wireless sigo las instrucciones de Debian Unstable 2 Abril – Kde 4.6.

No necesito editar el fichero:

/etc/modprobe.d/broadcom-sta-common.conf. Y finalmente comentar ndiswrapper en /etc/modules pero, claro, como ya había desinstalado ndiswrapper creo que no es mucho cambio.

Nvidia propietario

Voy a actualizar el repositorio local de unstable porque parece ser que tengo un paquete roto relacionado con nvidia-glx.

Al intentar instalar nvidia-glx me desinstala practicamente todo kde 4.6. Ahora me ha dado por suicidarme para volver al 4.4 al desactivar mi repositorio experimental de qt-kde y al intentar forzarlo… oh… sorpresa… me está instalando 4.6. Si lo llego a saber antes. 🙂 De momento me está dejando de instalar nvidia-glx. Luego miro de instalarlo otra vez. Por lo menos sabré que uso kde 4.6 del oficial Debian unstable.

Se ve que esto es un bug de unstable y parece ser que estará en los mirrors pronto. No he sabido encontrarlo en ningún mirror. Así que mañana tocará actualizar el mirror local e instalar los paquetes:

kde-standard

y

nvidia-glx

conjuntamente.

Ahora voy a reiniciar a ver si me van las X o no después de todo lo que he hecho que no me aclaro mucho.

Undo

He decidido deshacer. Como tengo un sistema multi-boot (más o menos) y en sda6 tenía una copia del sistema antes de la actualización arranco con ella, la copio en sda5 (sistema normal) dónde hacía la actualización. En sda5 edito el fstab para que / apunte a sda5. Chroot en él para ejecutar update-grub. Y finalmente grub-install /dev/sda dentro del chroot porque los binarios de grub no están en el mismo sitio en el disco.

Mañana si aparece la actualización del paquete y me animo a intentar actualizarlo de nuevo (Esta vez lo primero de todo desactivaré el repositorio qt-experimental) igual os sigo contando.

Anuncios